Bug 995444 - Review Request: glassfish-websocket-api - JSR 356: Java API for WebSocket
Summary: Review Request: glassfish-websocket-api - JSR 356: Java API for WebSocket
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-09 11:41 UTC by gil cattaneo
Modified: 2015-11-22 02:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-22 02:23:36 UTC
tcallawa: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2013-08-09 11:41:36 UTC
Spec URL: http://gil.fedorapeople.org/glassfish-websocket-api.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-websocket-api-1.0-1.fc19.src.rpm
Description:
Java API for WebSocket JSR will define a standard API for
creating web socket applications.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5797760

Comment 3 Upstream Release Monitoring 2015-11-06 14:00:57 UTC
gil's scratch build of glassfish-websocket-api-1.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11726632

Comment 4 Tom "spot" Callaway 2015-11-10 19:56:47 UTC
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (CDDL or GPLv2 with exceptions) OK, text in %license, matches source
- spec file legible, in am. english
- source matches upstream (30944ba6a3826f39259279df7b90a3f0df41d47e9fd48fbc28c1feef13ea39fe)
- package compiles on f23 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- javadoc ok
- nothing in %doc affects runtime
- no need for .desktop file

One minor issue here. The license should be:

CDDL or GPLv2 with exceptions

but your tag has:

CDDL and GPLv2 with exceptions

Please fix that before import.

APPROVED

Comment 5 gil cattaneo 2015-11-10 20:07:24 UTC
(In reply to Tom "spot" Callaway from comment #4)

> One minor issue here. The license should be:
> 
> CDDL or GPLv2 with exceptions
> 
> but your tag has:
> 
> CDDL and GPLv2 with exceptions
> 
> Please fix that before import.

Done.

Spec URL: http://gil.fedorapeople.org/glassfish-websocket-api.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-websocket-api-1.1-1.fc23.src.rpm

Thanks!

Request for new package:
https://admin.fedoraproject.org/pkgdb/package/requests/1462
https://admin.fedoraproject.org/pkgdb/package/requests/1463

Comment 6 Gwyn Ciesla 2015-11-11 14:16:02 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/glassfish-websocket-api

Comment 7 gil cattaneo 2015-11-11 16:18:47 UTC
I believe that this bug is fixed in glassfish-websocket-api-1.1-1.fc24,
So I am closing this bug now.
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11794329

Comment 8 Fedora Update System 2015-11-12 17:04:16 UTC
glassfish-websocket-api-1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-be94439d02

Comment 9 Fedora Update System 2015-11-13 05:29:08 UTC
glassfish-websocket-api-1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update glassfish-websocket-api'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-be94439d02

Comment 10 Fedora Update System 2015-11-22 02:23:33 UTC
glassfish-websocket-api-1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.